bitel.billing.server.ipn.bean

## Class UserGateRule

- java.lang.Object
- - bitel.billing.server.ipn.bean.UserGateRule

-     public class UserGateRule
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserGateRule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getContractId()`
    `int` | `getContractID()` Deprecated.
    `int` | `getGateId()`
    `int` | `getGateID()` Deprecated.
    `int` | `getId()`
    `int` | `getID()` Deprecated.
    `java.lang.String` | `getRuleText()`
    `int` | `getRuleTypeId()`
    `void` | `setContractId(int contractId)`
    `void` | `setContractID(int contractId)` Deprecated.
    `void` | `setGateId(int gateId)`
    `void` | `setGateID(int gateId)` Deprecated.
    `void` | `setId(int id)`
    `void` | `setID(int id)` Deprecated.
    `void` | `setRuleText(java.lang.String ruleText)`
    `void` | `setRuleTypeId(int ruleTypeId)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserGateRule

          public UserGateRule()

  - ### Method Detail

    - #### getId

          public int getId()

    - #### getID

          @Deprecated
          public int getID()

      Deprecated.
      Использовать `getId()`.
      Returns:

    - #### setId

          public void setId(int id)

    - #### setID

          @Deprecated
          public void setID(int id)

      Deprecated.
      Использовать `setId(int)`.
      Parameters:
        `id` -

    - #### getContractId

          public int getContractId()

    - #### getContractID

          @Deprecated
          public int getContractID()

      Deprecated.
      Использовать `getContractId()`.
      Returns:

    - #### setContractId

          public void setContractId(int contractId)

    - #### setContractID

          @Deprecated
          public void setContractID(int contractId)

      Deprecated.
      Использовать `setContractId(int)`.
      Parameters:
        `contractId` -

    - #### getRuleText

          public java.lang.String getRuleText()

    - #### setRuleText

          public void setRuleText(java.lang.String ruleText)

    - #### getGateId

          public int getGateId()

    - #### getGateID

          @Deprecated
          public int getGateID()

      Deprecated.
      Использовать `getGateId()`.
      Returns:

    - #### setGateId

          public void setGateId(int gateId)

    - #### setGateID

          @Deprecated
          public void setGateID(int gateId)

      Deprecated.
      Использовать `setGateId(int)`.
      Parameters:
        `gateId` -

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getRuleTypeId

          public int getRuleTypeId()

    - #### setRuleTypeId

          public void setRuleTypeId(int ruleTypeId)